Skip to navigation

Create Profile

View as Markdown

Create a custom dunning profile.

Custom profiles can be freely configured. System default profiles cannot be created via API - they are automatically created per account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
namestringRequired1-100 characters
descriptionstring or nullOptional<=500 characters
max_retriesintegerOptional1-15Defaults to 8
retry_interval_hoursintegerOptional1-672Defaults to 96
termination_actionenumOptionalDefaults to cancel
Allowed values:
invoice_status_on_failureenumOptional
Invoice status when dunning fails to collect payment.
Allowed values:
enable_emailsbooleanOptionalDefaults to true
email_maplist of objects or nullOptional

Response

Successful Response
idstring
account_idstring
namestring
descriptionstring or null
is_system_defaultboolean
target_cycle_typestring or null
max_retriesinteger
retry_interval_hoursinteger
termination_actionstring
invoice_status_on_failurestring
enable_emailsboolean
email_maplist of objects or null
is_archivedboolean
created_atdatetime
updated_atdatetime
retry_interval_schedule_hourslist of integersOptional

Increasing gaps between retries, in hours, applied in order. When non-empty this is the profile's actual retry spacing and retry_interval_hours is not used. Empty for custom profiles, which retry on a fixed retry_interval_hours.

Errors

422
Unprocessable Entity Error